Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SizeAlgorithm Class Reference
[Plugins]

`#include <SizeAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::SizeAlgorithm:

[legend]
Collaboration diagram for tlp::SizeAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for sizes plug-ins.

## Public Member Functions

- virtual ~SizeAlgorithm ()

## Public Attributes

- SizeProperty * sizeResult

## Protected Member Functions

- SizeAlgorithm (const PropertyContext &context)

## Friends

- class SizeProperty

## Constructor & Destructor Documentation

virtual tlp::SizeAlgorithm::~SizeAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::SizeAlgorithm::SizeAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class SizeProperty `[friend]`

## Member Data Documentation

SizeProperty* tlp::SizeAlgorithm::sizeResult

Tulip Software by LaBRI Visualization Team 2001 - 2010